/**
 * Copyright &copy; 2015-2020 <a href="http://www.jeeplus.org/">JeePlus</a> All rights reserved.
 */
package com.jeeplus.modules.workstaff.entity;


import com.jeeplus.common.persistence.DataEntity;
import com.jeeplus.common.utils.excel.annotation.ExcelField;

/**
 * 工作业绩Entity
 * @author ssrh
 * @version 2018-07-27
 */
public class WorkStaffAchievement extends DataEntity<WorkStaffAchievement> {
	
	private static final long serialVersionUID = 1L;
	private String staff;		// 员工ID
	private String projName;		// 项目名称
	private String projClient;		// 主委托方
	private String category;		// 工程分类
	private String unitNumber;		// 规模类型/单位/数量
	private String duty;		// 担任职务
	private String content;		// 参与内容
	
	public WorkStaffAchievement() {
		super();
	}

	public WorkStaffAchievement(String id){
		super(id);
	}

	@ExcelField(title="员工ID", align=2, sort=7)
	public String getStaff() {
		return staff;
	}

	public void setStaff(String staff) {
		this.staff = staff;
	}
	
	@ExcelField(title="项目名称", align=2, sort=8)
	public String getProjName() {
		return projName;
	}

	public void setProjName(String projName) {
		this.projName = projName;
	}
	
	@ExcelField(title="主委托方", align=2, sort=9)
	public String getProjClient() {
		return projClient;
	}

	public void setProjClient(String projClient) {
		this.projClient = projClient;
	}
	
	@ExcelField(title="工程分类", align=2, sort=10)
	public String getCategory() {
		return category;
	}

	public void setCategory(String category) {
		this.category = category;
	}
	
	@ExcelField(title="规模类型/单位/数量", align=2, sort=11)
	public String getUnitNumber() {
		return unitNumber;
	}

	public void setUnitNumber(String unitNumber) {
		this.unitNumber = unitNumber;
	}
	
	@ExcelField(title="担任职务", dictType="", align=2, sort=12)
	public String getDuty() {
		return duty;
	}

	public void setDuty(String duty) {
		this.duty = duty;
	}
	
	@ExcelField(title="参与内容", align=2, sort=13)
	public String getContent() {
		return content;
	}

	public void setContent(String content) {
		this.content = content;
	}
	
}